package com.multictrl.common.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum FlightTaskProgressStatus {
    CANCELED("canceled", "取消或终止"),
    FAILED("failed", "失败"),
    IN_PROGRESS("in_progress", "执行中"),
    OK("ok", "执行成功"),
    PARTIALLY_DONE("partially_done", "部分完成"),
    PAUSED("paused", "暂停"),
    REJECTED("rejected", "拒绝"),
    SENT("sent", "已下发"),
    TIMEOUT("timeout", "超时");

    private final String code;
    private final String desc;
}
